| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# indexentry

$Revision: 1.3 $

$Date: 2002/06/12 11:18:13 $

indexentry — An entry in an index

## Synopsis

### Content Model

    indexentry ::=
    (primaryie,
     (seeie|seealsoie)*,
     (secondaryie,
      (seeie|seealsoie|tertiaryie)*)*)

### Attributes

Common attributes

## Description

An `IndexEntry` wraps all of the index terms associated with a particular primary index term. This includes an arbitrary list of secondary and tertiary elements as well as See and SeeAlso elements.

### Processing expectations

Formatted as a displayed block. A rendered index usually places secondary items under primary items and tertiary items under secondary.

### Parents

These elements contain indexentry: `index`, `indexdiv`, `setindex`.

### Children

The following elements occur in indexentry: `primaryie`, `secondaryie`, `seealsoie`, `seeie`, `tertiaryie`.

## See Also

`indexterm`, `primary`, `primaryie`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `tertiary`, `tertiaryie`.

## Examples

For examples, see `index`.

indexdiv |  | indexinfo

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.